Bug 1324232 - python3-theano depends on Python 2
Summary: python3-theano depends on Python 2
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-theano
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-05 22:07 UTC by Elliott Sales de Andrade
Modified: 2016-04-25 23:53 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-04-19 20:30:03 UTC


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2016-04-05 22:07:08 UTC
Description of problem:
There is a Require of /usr/bin/python in the python3-theano package, but there should not be:

$ rpm -qR python3-theano
/bin/bash
/usr/bin/python
/usr/bin/python3
atlas-devel
gcc-c++
gcc-gfortran
python(abi) = 3.4
python3-numpy
python3-scipy
python3-six
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

This is due to the fact that various files unnecessarily include a shebang:

/usr/lib/python3.4/site-packages/theano/misc/buildbot_filter.py:#!/usr/bin/python3
/usr/lib/python3.4/site-packages/theano/misc/check_blas.py:#!/usr/bin/python3
/usr/lib/python3.4/site-packages/theano/sandbox/test_neighbourhoods.py:#!/usr/bin/python
/usr/lib/python3.4/site-packages/theano/tests/run_tests_in_batch.py:#!/usr/bin/python3

Version-Release number of selected component (if applicable):
python3-theano-0.7.0-1.fc23.1.noarch

Comment 1 Fedora Update System 2016-04-15 19:39:18 UTC
python-theano-0.8.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-040bcd24b9

Comment 2 Fedora Update System 2016-04-15 20:35:32 UTC
python-theano-0.7.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-90214f0793

Comment 3 Fedora Update System 2016-04-15 23:20:57 UTC
python-theano-0.8.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-040bcd24b9

Comment 4 Fedora Update System 2016-04-18 04:52:37 UTC
python-theano-0.7.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-90214f0793

Comment 5 Fedora Update System 2016-04-19 20:30:01 UTC
python-theano-0.8.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-04-25 23:53:40 UTC
python-theano-0.7.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.